Arch Space/cs: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
 
(33 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand/cs|Name=Arch_Space|Workbenches=[[Arch Module|Architektura]]|MenuLocation=Architecture → Space|Shortcut=S P}}

<div class="mw-translate-fuzzy">
{{docnav/cs|[[Arch_Roof/cs|Roof]]|[[Arch_Stairs/cs|Stairs]]|[[Arch_Workbench/cs|Arch]]|IconL=Arch_Roof.svg |IconC=Workbench_Arch.svg |IconR=Arch_Stairs.svg}}
</div>

<div class="mw-translate-fuzzy">
{{GuiCommand/cs
|Name=Arch_Space
|Name/cs=Arch Space
|MenuLocation=Architecture → Space
|Workbenches=[[Arch_Workbench/cs|Architektura]]
|Shortcut={{KEY|S}} {{KEY|P}}
|SeeAlso=[[Arch Wall/cs]], [[Arch Structure/cs]]
|Version=0.14
}}
</div>

==Description==


<div class="mw-translate-fuzzy">
==Popis==
==Popis==
Nástroj Prostor umožňuje definovat prázdný objem, který je buď založen na tělese nebo definován svými hranicemi nebo mixem obou postupů. Je-li založen výhradně na tělese, je objem počítán od ohraničujícího boxu ze všech daných hranic a odečtem prostoru za každou hranicí. Objekt Prostor vždy definuje objem tělesa. Podlahová plocha objektu Prostor, počítaná z průsečíku vodorovné roviny ve středu objemu prostoru, také může být zobrazen, nastavením zobrazovacího módu objektu prostoru na "detailní".
Nástroj Prostor umožňuje definovat prázdný objem, který je buď založen na tělese nebo definován svými hranicemi nebo mixem obou postupů. Je-li založen výhradně na tělese, je objem počítán od ohraničujícího boxu ze všech daných hranic a odečtem prostoru za každou hranicí. Objekt Prostor vždy definuje objem tělesa. Podlahová plocha objektu Prostor, počítaná z průsečíku vodorovné roviny ve středu objemu prostoru, také může být zobrazen, nastavením zobrazovacího módu objektu prostoru na "detailní".
</div>


[[Image:Arch Space example.jpg|640px]]
[[Image:Arch Space example.jpg|640px]]


<div class="mw-translate-fuzzy">
In the above image, a space object is created from an existing solid object, then two wall faces are added as boundaries, and the display mode is set to "detailed" to show the floor area.
''Na obrázku výše je objekt prostoru vytvořen z existujícího tělesa, potom jsou přidány dvě plochy zdi jako hranice a mód zobrazení je nasatven na "detailní", aby zobrazoval podlahovou plochu.''
</div>


<span id="Usage"></span>
<div class="mw-translate-fuzzy">
==Použití==
==Použití==
</div>


<div class="mw-translate-fuzzy">
# Select an existing solid object, or faces on boundary objects
* Vyberte existující těleso nebo plochy na hraničním objektu
# Press the {{KEY|[[Image:Arch_Space.png|16px]] [[Arch Space]]}} button, or press {{KEY|S}}, {{KEY|P}} keys
* Stiskněte tlačítko {{KEY|[[Image:Arch_Space.png|32px]] Prostor}} nebo klávesy {{KEY|S}} a {{KEY|P}}
</div>


<span id="Limitations"></span>
<div class="mw-translate-fuzzy">
==Omezení==
</div>

* The boundaries properties is currently not editable via GUI.
* See the [http://forum.freecadweb.org/viewtopic.php?f=9&t=4275 forum announcement].

<span id="Properties"></span>
==Vlastnosti==
==Vlastnosti==


<div class="mw-translate-fuzzy">
* {{PropertyData|Base}}: The base object, if any (must be a solid)
* {{PropertyData|Boundaries}}: A list of optional boundary elements
* {{PropertyData|Základ}}: Základový objekt, pokud existuje (musí to být těleso)
* {{PropertyData|Hranice}}: Seznam volitelných prvků hranic
</div>

* {{PropertyView|Text}}: The text to show. Use $area, $label, $tag, $floor, $walls, $ceiling to insert the respective data
* {{PropertyView|FontName}}: The name of the font
* {{PropertyView|TextColor}}: The color of the text
* {{PropertyView|FontSize}}: The size of the text
* {{PropertyView|FirstLine}}: The size of the first line of text (multiplies the font size. 1 = same size, 2 = double size, etc..)
* {{PropertyView|LineSpacing}}: The space between the lines of text
* {{PropertyView|TextPosition}}: The position of the text. Leave (0,0,0) for automatic position
* {{PropertyView|TextAlign}}: The justification of the text
* {{PropertyView|Decimals}}: The number of decimals to use for calculated texts
* {{PropertyView|ShowUnit}}: Show the unit suffix or not

==Options==

* To create zones that group several spaces, use an [[Arch_BuildingPart|Arch BuildingPart]] and set its IFC type to "Spatial Zone".
* The Space object has the same display modes as other Arch and Part objects, with one more, called '''Footprint''', that displays only the bottom face of the space.


==Scripting==
==Scripting==


<div class="mw-translate-fuzzy">
The space tool can be used in python scripts and [[macros]] by using the following function:
==Skriptování==
</div>


<div class="mw-translate-fuzzy">
<syntaxhighlight>
Nástroj Prostor může být použit ve skriptech Pythonu a v [[macros/cs|makrech]] použitím následující funkce:
makeSpace(objects)
</div>
</syntaxhighlight>


{{Code|code=
* Creates a space object from the given objects.
Space = makeSpace(objects=None, baseobj=None, name="Space")
* Objects can be one document object, in which case it becomes the base shape of the space object, or a list of selection objects as returned by FreeCADGui.Selection.getSelectionEx(), or a list of tuples (object, subobjectname).
}}
* Returns the newly created space object.


<div class="mw-translate-fuzzy">
Example:
* Vytvoří objekt prostoru ze zadaných objektů.
* Objekty mohou být jeden dokument objektu, v tomto případě se objekt stane základovým objektem prostoru nebo seznam vvybraných objektů jako návratová hodnota funkce FreeCADGui.Selection.getSelectionEx(), nebo seznam dvojic (objekt, jméno subobjektu).
* Vrací nově vytvořený objekt prostoru.
</div>


Příklad:
<syntaxhighlight>
import FreeCAD, Arch, Part
b = Part.makeBox(2,2,2)
FreeCAD.ActiveDocument.addObject("Part::Feature","Box").Shape=b
sp = makeSpace([FreeCAD.ActiveDocument.Box])
</syntaxhighlight>


{{Code|code=
After a space object is created, selected faces can be added to it with the following function:
import FreeCAD, Arch


Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
<syntaxhighlight>
Box.Length = 1000
import FreeCADGui
Box.Width = 1000
Arch.addSpaceBoundaries(sp, FreeCADGui.Selection.getSelectionEx())
Box.Height = 1000
</syntaxhighlight>


Space = Arch.makeSpace(Box)
Boundaries can also be removed with:
Space.ViewObject.LineWidth = 2
FreeCAD.ActiveDocument.recompute()
}}


After a space object is created, selected faces can be added to it with the following code:
<syntaxhighlight>
Arch.removeSpaceBoundaries(sp, FreeCADGui.Selection.getSelectionEx())
</syntaxhighlight>


{{Code|code=
==Limitations==
import FreeCAD, FreeCADGui, Draft, Arch


points = [FreeCAD.Vector(-500, 0, 0), FreeCAD.Vector(1000, 1000, 0)]
* Not available below FreeCAD version 0.14
Line = Draft.makeWire(points)
* The boundaries properties is currently not editable via GUI
Wall = Arch.makeWall(Line, width=150, height=2000)
* See the [http://forum.freecadweb.org/viewtopic.php?f=9&t=4275 forum announcement]
FreeCAD.ActiveDocument.recompute()


# Select a face of the wall
{{clear}}
selection = FreeCADGui.Selection.getSelectionEx()
Arch.addSpaceBoundaries(Space, selection)
}}


Boundaries can also be removed, again by selecting the indicated faces:
<languages/>

{{Code|code=
selection = FreeCADGui.Selection.getSelectionEx()
Arch.removeSpaceBoundaries(Space, selection)
}}


<div class="mw-translate-fuzzy">
{{docnav/cs|[[Arch_Roof/cs|Roof]]|[[Arch_Stairs/cs|Stairs]]|[[Arch_Workbench/cs|Arch]]|IconL=Arch_Roof.svg |IconC=Workbench_Arch.svg |IconR=Arch_Stairs.svg}}
</div>

{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 21:34, 6 November 2023

Arch Space

Umístění Menu
Architecture → Space
Pracovní stoly
Architektura
Výchozí zástupce
S P
Představen ve verzi
0.14
Viz také
Arch Wall/cs, Arch Structure/cs

Description

Popis

Nástroj Prostor umožňuje definovat prázdný objem, který je buď založen na tělese nebo definován svými hranicemi nebo mixem obou postupů. Je-li založen výhradně na tělese, je objem počítán od ohraničujícího boxu ze všech daných hranic a odečtem prostoru za každou hranicí. Objekt Prostor vždy definuje objem tělesa. Podlahová plocha objektu Prostor, počítaná z průsečíku vodorovné roviny ve středu objemu prostoru, také může být zobrazen, nastavením zobrazovacího módu objektu prostoru na "detailní".

Na obrázku výše je objekt prostoru vytvořen z existujícího tělesa, potom jsou přidány dvě plochy zdi jako hranice a mód zobrazení je nasatven na "detailní", aby zobrazoval podlahovou plochu.

Použití

  • Vyberte existující těleso nebo plochy na hraničním objektu
  • Stiskněte tlačítko Prostor nebo klávesy S a P

Omezení

Vlastnosti

  • ÚdajeZáklad: Základový objekt, pokud existuje (musí to být těleso)
  • ÚdajeHranice: Seznam volitelných prvků hranic
  • PohledText: The text to show. Use $area, $label, $tag, $floor, $walls, $ceiling to insert the respective data
  • PohledFontName: The name of the font
  • PohledTextColor: The color of the text
  • PohledFontSize: The size of the text
  • PohledFirstLine: The size of the first line of text (multiplies the font size. 1 = same size, 2 = double size, etc..)
  • PohledLineSpacing: The space between the lines of text
  • PohledTextPosition: The position of the text. Leave (0,0,0) for automatic position
  • PohledTextAlign: The justification of the text
  • PohledDecimals: The number of decimals to use for calculated texts
  • PohledShowUnit: Show the unit suffix or not

Options

  • To create zones that group several spaces, use an Arch BuildingPart and set its IFC type to "Spatial Zone".
  • The Space object has the same display modes as other Arch and Part objects, with one more, called Footprint, that displays only the bottom face of the space.

Scripting

Skriptování

Nástroj Prostor může být použit ve skriptech Pythonu a v makrech použitím následující funkce:

Space = makeSpace(objects=None, baseobj=None, name="Space")
  • Vytvoří objekt prostoru ze zadaných objektů.
  • Objekty mohou být jeden dokument objektu, v tomto případě se objekt stane základovým objektem prostoru nebo seznam vvybraných objektů jako návratová hodnota funkce FreeCADGui.Selection.getSelectionEx(), nebo seznam dvojic (objekt, jméno subobjektu).
  • Vrací nově vytvořený objekt prostoru.

Příklad:

import FreeCAD, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 1000
Box.Height = 1000

Space = Arch.makeSpace(Box)
Space.ViewObject.LineWidth = 2
FreeCAD.ActiveDocument.recompute()

After a space object is created, selected faces can be added to it with the following code:

import FreeCAD, FreeCADGui, Draft, Arch

points = [FreeCAD.Vector(-500, 0, 0), FreeCAD.Vector(1000, 1000, 0)]
Line = Draft.makeWire(points)
Wall = Arch.makeWall(Line, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

# Select a face of the wall
selection = FreeCADGui.Selection.getSelectionEx()
Arch.addSpaceBoundaries(Space, selection)

Boundaries can also be removed, again by selecting the indicated faces:

selection = FreeCADGui.Selection.getSelectionEx()
Arch.removeSpaceBoundaries(Space, selection)